Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 979

Summary: arts wont compile when tring to install kde
Product: Gentoo Linux Reporter: Daryl Stimm <daryl>
Component: [OLD] KDEAssignee: Dan Armak (RETIRED) <danarmak>
Status: RESOLVED FIXED    
Severity: normal CC: daryl
Priority: High    
Version: 1.0 RC6 r14   
Hardware: x86   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Daryl Stimm 2002-03-05 20:09:59 UTC
I did emerge kde and everything went well until it hit aRTs here is the compile
error:
>>> Source unpacked.

make: option requires an argument -- f
Usage: make [options] [target] ...
Options:
  -b, -m                      Ignored for compatibility.
  -C DIRECTORY, --directory=DIRECTORY
                              Change to DIRECTORY before doing anything.
  -d                          Print lots of debugging information.
  --debug[=FLAGS]             Print various types of debugging information.
  -e, --environment-overrides
                              Environment variables override makefiles.
  -f FILE, --file=FILE, --makefile=FILE
                              Read FILE as a makefile.

                              Read FILE as a makefile.
  -h, --help                  Print this message and exit.
  -i, --ignore-errors         Ignore errors from commands.
  -I DIRECTORY, --include-dir=DIRECTORY
                              Search DIRECTORY for included makefiles.
  -j [N], --jobs[=N]          Allow N jobs at once; infinite jobs with no arg.
  -k, --keep-going            Keep going when some targets can't be made.
  -l [N], --load-average[=N], --max-load[=N]
                              Don't start multiple jobs unless load is below N.
  -n, --just-print, --dry-run, --recon
                              Don't actually run any commands; just print them.
  -o FILE, --old-file=FILE, --assume-old=FILE
                              Consider FILE to be very old and don't remake it.
  -p, --print-data-base       Print make's internal database.
  -q, --question              Run no commands; exit status says if up to date.
  -r, --no-builtin-rules      Disable the built-in implicit rules.
  -R, --no-builtin-variables  Disable the built-in variable settings.
  -s, --silent, --quiet       Don't echo commands.
  -S, --no-keep-going, --stop
                              Turns off -k.
  -t, --touch                 Touch targets instead of remaking them.
  -v, --version               Print the version number of make and exit.
  -w, --print-directory       Print the current directory.
  --no-print-directory        Turn off -w, even if it was turned on implicitly.
  -W FILE, --what-if=FILE, --new-file=FILE, --assume-new=FILE
                              Consider FILE to be infinitely new.
  --warn-undefined-variables  Warn when an undefined variable is referenced.

Report bugs to <bug-make@gnu.org>.

!!! ERROR: The ebuild did not complete successfully.
!!! Function kde_src_compile, Line -47, Exitcode 1
!!! no configure script found, generation unsuccessful

!!! emerge aborting on  /usr/portage/kde-base/arts/arts-0.7.1.ebuild .
Comment 1 Dan Armak (RETIRED) gentoo-dev 2002-03-06 09:17:22 UTC
The kde3pre ebuilsd are *UNSUPPORTED* by Gentoo. Bugs about them should NOT be submited via the normal Gentoo channels, e.g. here. I have made this as clear as I could on the kde3pre site.  As for your report, if you're using arts-0.7.1 then you don't have the latest release of kde3pre ebuilds, which has arts-0.9.7. Please install the latest release as well as running emerge rsync to get the latest eclasses from portage proper. email me directly at danarmak@gentoo.org if any problem recurs. 
Comment 2 Daryl Stimm 2002-03-06 11:36:36 UTC
This is for kde 2.2.2 not kde 3 beta....
Comment 3 Dan Armak (RETIRED) gentoo-dev 2002-03-06 14:01:45 UTC
How can that be? The kde-base/arts ebuild (in any version) exists only in kde3 ebuilds and does not exist in portage, only on my site! Have you installed kde3pre ebuilds at some point? You must have, or you wouldn't have an arts ebuild at all. In kde2.x arts is part of kdelibs proper.  Am I missing something??? 
Comment 4 Cedric Veilleux 2002-04-10 01:03:08 UTC
I am getting a very similar problem when trying to emerge arts-1.0.0.ebuild. I had the KDE3-pre ebuilds installed, I unmerged all of them, including arts, did an emerge --clean rsync and I get the following when emerging arts now:  >>> emerge kde-base/arts-1.0.0 to / alsa alsa >>> Unpacking source... /usr/sbin/ebuild.sh: cd: /var/tmp/portage/arts-1.0.0/work/arts-1.0.0/soundserver: No such file or directory >>> Source unpacked. /usr/sbin/ebuild.sh: cd: /var/tmp/portage/arts-1.0.0/work/arts-1.0.0: No such file or directory /usr/sbin/ebuild.sh: cd: /var/tmp/portage/arts-1.0.0/work/arts-1.0.0: No such file or directory make: option requires an argument -- f Usage: make [options] [target] ...  [ make help stripped ]  Report bugs to <bug-make@gnu.org>.  !!! ERROR: The ebuild did not complete successfully. !!! Function kde_src_compile, Line -3493, Exitcode 1 !!! no configure script found, generation unsuccessful  !!! emerge aborting on  /usr/portage/kde-base/arts/arts-1.0.0.ebuild .   
Comment 5 Cedric Veilleux 2002-04-10 01:21:33 UTC
Additionaly, arts-1.0.0.tar.bz2 does not seems to get downloaded at all, and it obviously isn't 
unpacked either, which is why it fails. Manually downloading arts-1.0.0.tar.bz2 into 
portage/distfiles does not help either. 
 
I am using portage 1.8.18 
 
Comment 6 Dan Armak (RETIRED) gentoo-dev 2002-04-12 15:36:12 UTC
I'm sorry about abandoning this issue. 
If this is still relevant, try deleting yuor kde3pre-generated cache: rm /var/cache/edb/dep/dep-*. It 
should help. 
Comment 7 Dan Armak (RETIRED) gentoo-dev 2002-05-11 08:50:44 UTC
Fixed several times over I think